   Rem // BEGIN preparation of environment for the Service Profiler
   IF EXIST ISSPROF_VOID (
      Rem // Skip the loading of the profiler:
      Rem    An 'IF not exist ISSPROF' enclosing the entire set of lines would
      Rem    be more elegant... but a CALL to a batch within an IF block
      Rem    always returns -1 in the ERRORLEVEL.
      IF EXIST "%IS_DIR%\serviceprofiler\bin\prepare.bat" (
         CALL "%IS_DIR%\serviceprofiler\bin\prepare.bat" "%JAVA_DIR%" "%IS_DIR%" %1 VOID
         )
      GOTO ISSPROF_CONTINUE
   )
   IF EXIST "%IS_DIR%\packages\WiaServiceProfiler\config\updates\install.bat" (
      CALL "%IS_DIR%\packages\WiaServiceProfiler\config\updates\install.bat" "%IS_DIR%"
      )

   CALL "%IS_DIR%\serviceprofiler\bin\prepare.bat" "%JAVA_DIR%" "%IS_DIR%" %1
   SET ISSPROF_STATUS=%ERRORLEVEL%
   IF NOT "0" == "%ISSPROF_STATUS%" (
      IF NOT "1%1"=="1-service" ECHO Service Profiler: Preparation failed with error code: '%ISSPROF_STATUS%'
      EXIT /B -1
   )
   SET PATH=%ISSPROF_LIB%;%PATH%
   IF "1%1"=="1-service" (
      SET JAVA2_MEMSET=%JAVA2_MEMSET% %ISSPROF_JVM%
   ) ELSE (
      SET JAVA_RUN=%JAVA_RUN% %ISSPROF_JVM%
   )

   :ISSPROF_CONTINUE
   Rem // END preparation of environment for the Service Profiler
